
Redmine - Feature #12706

Ability to change the private flag when editing a note

2013-01-02 11:15 - Fred Giusto

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

When updating a note I can't change the visibility of this note. Is it possible to have the checkbox also on update mode ?

It's possible on issue visibility.

Although set notes private permission is checked.

Happy new year !

Related issues:

Related to Redmine - Feature #17132: add ability set "private note" visibilit... New

Has duplicate Redmine - Patch #22575: Enable updating private_notes property ... Closed

History

#1 - 2013-01-02 16:11 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Set notes private permission doesn't work to Ability to change the private flag when editing a note

- Priority changed from High to Normal

#2 - 2013-01-10 21:38 - Deoren Moor

+1 This would really come in handy.

#3 - 2013-01-25 13:05 - Michał Kunikowski

+1

#4 - 2013-09-02 15:23 - Radomir Vrbovsky

+1

#5 - 2014-01-09 17:13 - Wim DePreter

+1

When adding a note, most users forget to set the "private notes".

And at this time, it is not possible to change the private state (in contrast to issues, where private state can be changed).

This can be dangerous, because intentionally private notes (but added as public) are now visible to all users (without the possibility to correct this).

#6 - 2014-06-09 20:06 - Dev Full stack

+1

#7 - 2014-06-10 10:46 - Pan Tau

+1 We need this feature urgently,

because the former Call-DB (Bugzilla) was able to do that

and the users are accustomed to do it.

#8 - 2014-06-17 10:26 - Yas UCHIDA

+1

#9 - 2014-06-22 16:25 - Toshi MARUYAMA

- Related to Feature #17132: add ability set "private note" visibility  for specific role added
#10 - 2014-11-20 12:30 - Nikolay Boyukliev

+1

Will be nice and logical feature.

#11 - 2014-11-20 13:42 - JIgnesh Vagh

- File 44399.jpg added

#12 - 2014-11-20 15:37 - Toshi MARUYAMA

- File deleted (44399.jpg)

#13 - 2014-11-20 16:20 - Henry Auffahrt

+1

We need this Feature, too.

#14 - 2015-06-26 16:08 - Fernando Hartmann

+1 !

#15 - 2015-12-04 17:52 - Neimar  Volpini

+1

#16 - 2015-12-04 18:18 - budo kaiman

+1

#17 - 2015-12-04 20:51 - Daniel Feliciano Branco

+1

#18 - 2016-05-02 03:52 - Go MAEDA

- Has duplicate Patch #22575: Enable updating private_notes property on journal edit form added

#19 - 2016-05-02 04:11 - Go MAEDA

- Target version set to Candidate for next major release

A patch that implements this feature was submitted on #22575. I tried out the patch and it works fine.

 updating_private_notes.jpg 

#20 - 2016-05-08 02:41 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

Setting target version to 3.4.0. 3.3.0 seems to be entering feature freeze.

#21 - 2016-07-10 13:16 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
